//
//  main.c
//  libtest
//
//  Created by 西田　耀 on 13/02/25.
//  Copyright (c) 2013年 Hikaru Nishida. All rights reserved.
//

#include <stdio.h>
#include "chnlib.h"

int main(int argc, const char * argv[])
{
    CHNLIB_String *s, *t;
    CHNLIB_UIPArray *separated;
    
    separated = CHNLIB_UIPArray_Initialize();
    s = CHNLIB_String_Initialize("あいうえおかきくけこ");
    t = CHNLIB_String_Initialize("た");
    
    CHNLIB_UIPArray_GetSeparatedUTF8Character(&separated, s);
    
    printf("%d bytes, %d characters\n", CHNLIB_String_GetLength(s), CHNLIB_UTF8_GetStringLengthByCharacter(CHNLIB_String_GetReferencePointerOfCString(s)));
    printf("%d bytes, %d characters\n", CHNLIB_String_GetLength(t), CHNLIB_UTF8_GetStringLengthByCharacter(CHNLIB_String_GetReferencePointerOfCString(t)));
    
    printf("match %d character(s).\n", CHNLIB_UTF8_CompareString_LeftHand(CHNLIB_String_GetReferencePointerOfCString(s), CHNLIB_String_GetReferencePointerOfCString(t)));
    printf("match %d character(s).\n", CHNLIB_UTF8_CompareString_LeftHand(CHNLIB_String_GetReferencePointerOfCString(t), CHNLIB_String_GetReferencePointerOfCString(s)));
    printf("match %d character(s).\n", CHNLIB_UTF8_CompareString_LeftHand(CHNLIB_String_GetReferencePointerOfCString(s), CHNLIB_String_GetReferencePointerOfCString(s)));
    printf("match %d character(s).\n", CHNLIB_UTF8_CompareString_LeftHand(CHNLIB_String_GetReferencePointerOfCString(t), CHNLIB_String_GetReferencePointerOfCString(t)));
     
    printf("%d\n", CHNLIB_UTF8_GetCountOfContain(CHNLIB_String_GetReferencePointerOfCString(s), CHNLIB_String_GetReferencePointerOfCString(t)));
    
    CHNLIB_Debug_PrintStructureData(separated, 0);
    printf("%d\n", CHNLIB_UIPArray_RemoveByIndex(&separated, 0));
    CHNLIB_Debug_PrintStructureData(separated, 0);
    return 0;
}

